var createPromise = function(timems) {
  return new Promise(function(resolve, reject) {
    setTimeout(resolve.bind(null, timems), timems);
  });
};

var promise1 = createPromise(2000);
var promise2 = createPromise(1000);

Promise.race([promise1, promise2])
  .then(function(result) { console.log(result); })
  .catch(function(err) { console.log(err); });
  
  
  
var promise3 = createPromise(6000);
var promise4 = createPromise(7000);

var timeout = function(timems) {
  return new Promise(function(reject, resolve) {
    setTimeout(reject.bind(null, 'timeout'), timems);
  });
};

Promise.race([promise3, promise4, timeout(5000)])
  .then(function(result) { console.log(result); })
  .catch(function(err) { console.log(err); });  
  
var promise = Promise.race([])
  .then(function(result) { console.log(result);})
  .catch(function(err) { console.log(err); });
  
console.log(promise);